{"openapi":"3.0.0","info":{"description":"8VDX API Documentation","version":"1.0.0","title":"8VDX Startup portal APIs","contact":{"email":"srujan@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"Onboarding","description":"APIs for startups onboarding"},{"name":"Home","description":"APIs for startup portal home"},{"name":"Enquiry Form","description":"APIs for enquiry form"},{"name":"Actions","description":"APIs for actions"},{"name":"Payments","description":"APIs for payments"},{"name":"Tickets","description":"APIs for tickets"},{"name":"Profile","description":"APIs for profile"},{"name":"Settings","description":"APIs for settings"}],"paths":{"/users/startup/signup":{"post":{"tags":["Onboarding"],"summary":"Signup into Startups","operationId":"startupRegister","description":"An API for startups to sign up throught the 8vdx website","responses":{"201":{"description":"Sign up successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signup"}}},"description":"Email, password are required fields"}}},"/signin":{"post":{"tags":["Onboarding"],"summary":"Startup Portal Login","operationId":"startupPortalLogin","description":"An API for startups to login into startup portal","responses":{"200":{"description":"Login successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginInfo"}}},"description":"email and password are required fields"}}},"/forgetpassword":{"post":{"tags":["Onboarding"],"summary":"Forget password","operationId":"forgetPassword","description":"An API for startups to request new password in case of they forget password","responses":{"200":{"description":"Email sent successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"s1@company.com"}}}}},"description":"Email is required field"}}},"/logout":{"post":{"tags":["Onboarding"],"summary":"Log out","operationId":"logout","description":"An API to log out of the startup portal","responses":{"200":{"description":"Log out successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"failed"},"message":{"type":"string","example":"bad request"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","example":"s1@company.com"}}}}},"description":"Email is required field"}}},"/enquiryform":{"post":{"tags":["Enquiry Form"],"summary":"Enquiry Form","operationId":"enquiryForm","description":"An API to submit a startup enquiry form and loan processing details","responses":{"200":{"description":"Form submitted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"enquiry created successfully"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnquiryFormRequest"}}},"description":"enquiry form"}}},"/loanrequestform":{"post":{"tags":["Enquiry Form"],"summary":"Loan Request Form","operationId":"loanRequestForm","description":"An API to submit a startup loan request form","responses":{"200":{"description":"Form submitted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Loan request raised"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_name":{"type":"string","example":"First post"},"requested_loan_amount":{"type":"number","example":3000000},"loan_tenure":{"type":"number","example":24}}}}},"description":"loan request object"}}},"/home":{"get":{"tags":["Home"],"summary":"Get Home Page data","operationId":"getHomePageData","description":"An API to get Startup portal home page data","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HomeScreenResponse"}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/home/recentpayments":{"get":{"tags":["Home"],"summary":"Get Recent Payments","operationId":"getRecentPayments","description":"An API to get recent installment payments of a startup","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetAllPaymentsResponse"}}}}},"500":{"description":"Error in fetching data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching data"}}}}}}}}},"/actions":{"get":{"tags":["Actions"],"summary":"Get Actions","operationId":"getActions","description":"An API to get pending and completed actions of a startup","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"pending_actions":{"type":"string","example":null},"completed_actions":{"type":"string","example":null}}}}}},"500":{"description":"Error in fetching actions","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching actions"}}}}}}}},"post":{"tags":["Actions"],"summary":"Documents upload","operationId":"documentsUpload","description":"An API to perform required actions such as uploading document for a startup to complete loan request process","responses":{"200":{"description":"Documents uploaded","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"documents uploaded successfully"}}}}}},"500":{"description":"Documents upload failed","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"documents uploaded failed"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"documents_url":{"type":"object","properties":{"document_one":{"type":"string","example":"xxx"},"document_two":{"type":"string","example":"xxx"}}}}}}},"description":"Documents Url"}}},"/actions/venturedebt":{"post":{"tags":["Actions"],"summary":"Convert Loan to Venture Debt","operationId":"convertToVentureDebtFromActions","description":"An API to submit a startup request of converting a loan to a venture debt","responses":{"200":{"description":"Form submitted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Convertion to venture debt request raised"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_name":{"type":"string","example":"First post"},"venture_debt_type":{"type":"string","example":"FULL / PARTIAL"},"payable_amount":{"type":"number","example":10000},"raised_captial_value":{"type":"number","example":200000},"convert_to_venture_debt":{"type":"boolean","example":true},"expected_fund_utilisation":{"type":"string","example":"business expansion"},"post_captial_valuation":{"type":"number","example":3000000}}}}},"description":"convert to venture debt request object"}},"get":{"tags":["Home"],"summary":"Venture Debt Details","operationId":"getVentureDebtDetails","description":"An API to venture debt details of startup","responses":{"200":{"description":"Venture details","content":{"application/json":{"schema":{"type":"object","properties":{"current_outstanding_amount":{"type":"number","example":300000},"interest_rate":{"type":"number","example":12},"pending_instalments":{"type":"number","example":12},"quarterly_vd_breakup":{"type":"string","example":"quarterly venture details"}}}}}},"500":{"description":"Error in fetching venture debt details","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching venture debt details"}}}}}}}}},"/payments":{"put":{"tags":["Payments"],"summary":"Update Payment","operationId":"updatePayment","description":"An API to update an installment payment by startups","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"payment_id":{"type":"string","example":"42134"},"payment_status":{"type":"string","example":"SUCCESS"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"payment_amount":{"type":"number","example":15000},"transaction_id":{"type":"string","example":"Y1231313"},"transaction_date":{"type":"string","example":""},"installment_month":{"type":"number","example":3}}}}},"description":"Payment updation by admin"}},"get":{"tags":["Payments"],"summary":"Get All Payments","operationId":"getAllPayments","description":"An API to get all the installment payments of a startup","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetAllPaymentsResponse"}}}}},"500":{"description":"Error in fetching payments","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Error in fetching payments"}}}}}}}}},"/tickets":{"post":{"tags":["Tickets"],"summary":"create ticket","operationId":"createTicket","description":"An API to create tickets for startups with required fields","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42134"},"ticket_status":{"type":"string","example":"CREATED/RESPONDED"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Required fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","example":"Payment not updated"},"description":{"type":"string","example":"My installment payment for last month has not been updated in portal"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}},"description":"Ticket creation API"}},"put":{"tags":["Tickets"],"summary":"update ticket","operationId":"updateTicket","description":"An API to update exisiting tickets of startups","responses":{"200":{"description":"dashboard data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42134"},"ticket_status":{"type":"string","example":"CREATED/RESPONDED"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Required fields missing"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42135"},"ticket_status":{"type":"string","example":"RESPONDED"},"title":{"type":"string","example":"Payment not updated"},"description":{"type":"string","example":"My installment payment for last month has not been updated in portal"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}},"description":"Ticket updation API"}},"get":{"tags":["Tickets"],"summary":"Get tickets","operationId":"getTickets","description":"An API to get all the startup tickets","responses":{"200":{"description":"dashboard data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42135"},"ticket_status":{"type":"string","example":"RESPONDED"},"title":{"type":"string","example":"Payment not updated"},"description":{"type":"string","example":"My installment payment for last month has not been updated in portal"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}}}}},"delete":{"tags":["Tickets"],"summary":"delete ticket","operationId":"deleteTickets","description":"An API to delete a ticket","responses":{"200":{"description":"dashboard data results","content":{"application/json":{"schema":{"type":"object","properties":{"ticket_id":{"type":"string","example":"42135"},"ticket_status":{"type":"string","example":"RESPONDED"},"user_email":{"type":"string","example":"s1@startup1.com"},"startup_id":{"type":"string","example":"145"}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Required fields missing"}}}}}}}}},"/profile":{"put":{"tags":["Profile"],"summary":"update profile details","operationId":"updateProfile","description":"An API to update profile details of a startup","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"founder_name":{"type":"string","example":"Kiran"}}}}},"description":"Update profile details"}},"get":{"tags":["Profile"],"summary":"Get Profile Details","operationId":"getProfile","description":"An API to get profile details","responses":{"200":{"description":"data results","content":{"application/json":{"schema":{"type":"object","properties":{"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}}}}}}}},"/settings":{"put":{"tags":["Settings"],"summary":"update settings","operationId":"updateSettings","description":"An API to update the settings","responses":{"200":{"description":"updated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"Updated successfully"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"info":{"type":"string","example":"settings"}}}}},"description":"Update startup settings"}},"get":{"tags":["Settings"],"summary":"Get Settings","operationId":"getSettings","description":"An API to get the settings of a startup","responses":{"200":{"description":"settings","content":{"application/json":{"schema":{"type":"object","properties":{"settings":{"type":"string","example":"startup settings"}}}}}}}}}},"components":{"schemas":{"Signup":{"type":"object","required":["email","password"],"properties":{"name":{"type":"string","example":"user1"},"startup_name":{"type":"string","example":"First Post"},"email":{"type":"string","example":"user1@company.com"},"password":{"type":"string","example":"user@123"},"yc_batch":{"type":"string","example":"2021_22 batch 1"}}},"LoginInfo":{"type":"object","required":["email","password"],"properties":{"email":{"type":"string","example":"user1@company.com"},"password":{"type":"string","example":"user@123"}}},"HomeScreenResponse":{"type":"object","properties":{"loan_amount":{"type":"number","example":1200000},"loan_type":{"type":"string","example":"Bridge loan / Venture debt"},"loan_status":{"type":"string","example":"LOAN_PROCESSED"},"loan_tenure":{"type":"number","example":6},"current_outstanding_amount":{"type":"number","example":1125000},"payment_due_date":{"type":"string","example":"08-24-2022"},"quarterly_installment":{"type":"number","example":50000},"installments_paid_count":{"type":"number","example":3}}},"EnquiryFormRequest":{"type":"object","properties":{"current_page":{"type":"string","example":"founder_details"},"finished_pages":{"type":"array","items":{"type":"string","example":"company_details"}},"company_details":{"$ref":"#/components/schemas/StartupDetails"},"founder_details":{"$ref":"#/components/schemas/FounderDetails"},"business_details":{"$ref":"#/components/schemas/BusinessDetails"},"additional_information":{"$ref":"#/components/schemas/AdditionalStartupInformation"}}},"StartupDetails":{"type":"object","properties":{"startup_name":{"type":"string","example":"First Post"},"startup_id":{"type":"string","example":"145"},"startup_link":{"type":"string","example":null},"startup_logo_url":{"type":"string","example":null},"location":{"type":"string","example":"Bangalore"},"description":{"type":"string","example":"First post is news agency startup"},"yc_batch":{"type":"string","example":"20_21_Winter_batch"},"is_startup_yc_certified":{"type":"boolean","example":true}}},"FounderDetails":{"type":"array","items":{"type":"object","properties":{"founder_name":{"type":"string","example":"Kishore"},"founder_email":{"type":"string","example":"kishore@gmail.com"},"founder_phone_number":{"type":"string","example":8394999999},"founder_qualifications":{"type":"string","example":"M.Tech"},"founder_linkedin_url":{"type":"string","example":"www.linkedin.com/kishore1"}}}},"BusinessDetails":{"type":"object","properties":{"product_progress":{"type":"string","example":"News agency app reports news in posts"},"potential_market_target":{"type":"string","example":"Students"},"competitors_information":{"type":"string","example":"News agency app reports news in posts"},"company_incorporation_info":{"type":"string","example":"News agency app reports news in posts"},"company_equity_information":{"type":"string","example":"News agency app reports news in posts"},"company_structure_information":{"type":"string","example":"News agency app reports news in posts"}}},"AdditionalStartupInformation":{"type":"object","properties":{"company_8vdx_source":{"type":"string","example":"News agency app reports news in posts"},"company_reason_for_chosing":{"type":"string","example":"News agency app reports news in posts"},"company_investment_information":{"type":"string","example":"News agency app reports news in posts"},"company_legal_information":{"type":"string","example":"News agency app reports news in posts"}}},"GetAllPaymentsResponse":{"type":"object","properties":{"startup_id":{"type":"string","example":"145"},"startup_name":{"type":"string","example":"First Post"},"transaction_id":{"type":"string","example":"Y1231313"},"payment_amount":{"type":"number","example":15000},"transaction_date":{"type":"string","example":""}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/srujan006/8vdx_startup_portal_apis/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/srujan006/8vdx_aips/1.0.0"}]}